xrctl has perl syntax related error

Bug #1580924 reported by tone.kravanja@gmail.com
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
crossroads (Ubuntu)
Undecided
Reiner Herrmann

Bug Description

Bug is present in latest package for ubuntu 14.04 LTS, not tested on 16.04 yet

When you try to run xrctl it returns following error:
syntax error at /usr/bin/xrctl line 63, near "maxlogsize loghistory path prefixtimestamp)"
  (Might be a runaway multi-line () string starting on line 62)
Global symbol "$tag" requires explicit package name at /usr/bin/xrctl line 64.
Global symbol "$sysxp" requires explicit package name at /usr/bin/xrctl line 64.
Global symbol "$tag" requires explicit package name at /usr/bin/xrctl line 64.
Global symbol "$tag" requires explicit package name at /usr/bin/xrctl line 65.
Global symbol "$tag" requires explicit package name at /usr/bin/xrctl line 65.
Global symbol "$tag" requires explicit package name at /usr/bin/xrctl line 65.
syntax error at /usr/bin/xrctl line 66, near "}"
syntax error at /usr/bin/xrctl line 70, near "}"
syntax error at /usr/bin/xrctl line 74, near "}"
/usr/bin/xrctl has too many errors.

------------------------

Solution for this problem is to replace lines 62 and 63 which are:

    for my $tag qw(pscmd logger uselogger logdir
                   maxlogsize loghistory path prefixtimestamp) {

with:
    for my $tag (qw(pscmd logger uselogger logdir
                   maxlogsize loghistory path prefixtimestamp)){

------------------------

perl has changed qw processing and it now requires to be in the parenthesis.

Reiner Herrmann (deki)
Changed in crossroads (Ubuntu):
assignee: nobody → Reiner Herrmann (deki)
status: New → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package crossroads - 2.81-1

---------------
crossroads (2.81-1) unstable; urgency=low

  [ Reiner Herrmann ]
  * QA upload.
  * New upstream release.
    - Fix building with g++-6 (Closes: #811914).
  * Add watch file.
  * Convert to dh-style build.
  * Bump debhelper compatibility to version 9.
  * Use source format 3.0 (quilt).
  * Bump Standards-Version to 3.9.8.
  * Add Vcs-* fields.
  * Register documentation at doc-base.
  * Convert debian/copyright to DEP5.
  * debian/patches:
    - Refresh and add DEP3 headers.
    - Fix spelling errors found by lintian.
    - Support reproducible building.
    - Honour build flags for hardened build.
    - Don't strip binary to enable dbgsym packages.
    - Build verbosely to see compiler calls.

  [ Micah Anderson ]
  * Add init script and defaults file (Closes: #701210).

  [ Tone Kravanja ]
  * Make xrctl compatible with newer Perl version (LP: #1580924).

 -- Reiner Herrmann <email address hidden> Fri, 27 May 2016 16:31:04 +0200

Changed in crossroads (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers